Crazy Eddies GUI System: CEGUI::TextureTarget Class Reference

Crazy Eddies GUI System 0.7.6

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
CEGUI::TextureTarget Class Reference

Specialisation of RenderTarget interface that should be used as the base class for RenderTargets that are implemented using textures. More...

Inherits CEGUI::RenderTarget.

Inherited by CEGUI::Direct3D10TextureTarget, CEGUI::Direct3D11TextureTarget, CEGUI::Direct3D9TextureTarget, CEGUI::IrrlichtTextureTarget, CEGUI::NullTextureTarget, CEGUI::OgreTextureTarget, and CEGUI::OpenGLTextureTarget.

Collaboration diagram for CEGUI::TextureTarget:
[legend]

List of all members.

## Public Member Functions
virtual void | clear ()=0
| Clear the surface of the underlying texture.
virtual Texture & | getTexture () const =0
| Return a pointer to the CEGUI::Texture that the TextureTarget is using.
virtual void | declareRenderSize (const Size &sz)=0
| Used to declare to the TextureTarget the largest size, in pixels, of the next set of incoming rendering operations.
virtual bool | isRenderingInverted () const =0
| Return whether rendering done on the target texture is inverted in relation to regular textures.

## Detailed Description

Specialisation of RenderTarget interface that should be used as the base class for RenderTargets that are implemented using textures.

## Member Function Documentation

virtual void CEGUI::TextureTarget::declareRenderSize | ( | const Size & | sz | ) | `[pure virtual]`

Used to declare to the TextureTarget the largest size, in pixels, of the next set of incoming rendering operations.

Note:
  The main purpose of this is to allow for the implemenatation to resize the underlying texture so that it can hold the imagery that will be drawn.

Parameters:

  sz | Size object describing the largest area that will be rendererd in the next batch of rendering operations.

Exceptions:

  InvalidRequestException | May be thrown if the TextureTarget would not be able to handle the operations rendering content of the given size.

Implemented in CEGUI::Direct3D10TextureTarget, CEGUI::Direct3D11TextureTarget, CEGUI::Direct3D9TextureTarget, CEGUI::IrrlichtTextureTarget, CEGUI::NullTextureTarget, CEGUI::OgreTextureTarget, CEGUI::OpenGLApplePBTextureTarget, CEGUI::OpenGLFBOTextureTarget, CEGUI::OpenGLGLXPBTextureTarget, and CEGUI::OpenGLWGLPBTextureTarget.

virtual Texture& CEGUI::TextureTarget::getTexture | ( |  | ) | const`[pure virtual]`

Return a pointer to the CEGUI::Texture that the TextureTarget is using.

Returns:
  Texture object that the TextureTarget uses when rendering imagery.

Implemented in CEGUI::Direct3D10TextureTarget, CEGUI::Direct3D11TextureTarget, CEGUI::Direct3D9TextureTarget, CEGUI::IrrlichtTextureTarget, CEGUI::NullTextureTarget, CEGUI::OgreTextureTarget, and CEGUI::OpenGLTextureTarget.

virtual bool CEGUI::TextureTarget::isRenderingInverted | ( |  | ) | const`[pure virtual]`

Return whether rendering done on the target texture is inverted in relation to regular textures.

This is intended to be used when generating geometry for rendering the TextureTarget onto another surface.

Returns:
  - true if the texture content should be considered as inverted vertically in comparison with other regular textures.
  - false if the texture content has the same orientation as regular textures.

Implemented in CEGUI::Direct3D10TextureTarget, CEGUI::Direct3D11TextureTarget, CEGUI::Direct3D9TextureTarget, CEGUI::IrrlichtTextureTarget, CEGUI::NullTextureTarget, CEGUI::OgreTextureTarget, and CEGUI::OpenGLTextureTarget.